> For the complete documentation index, see [llms.txt](https://help.pickzen.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.pickzen.com/developers/sdk/documentation/formslide/formfield.md).

# FormField

This class models a field of a FormSlide.

```javascript
/**
 * Returns the field Id.
 *
 * @returns {string}
 */
getId() 

/**
 * Returns the field title.
 *
 * @returns {string}
 */
getTitle()

/**
 * Returns the field type: text, email, name, checknox, image, selector, dropdown, etc.
 *
 * @returns {string}
 */
getType()

/**
 * Set a value for this field.
 *
 * @param val
 */
setValue(val)

/**
 * Returns this field value.
 *
 * @returns {*}
 */
getValue() 

/**
 * Returns true if this field is mandatory.
 *
 * @returns {boolean}
 */
isMandatory() 

/**
 * Set the valid state for this field.
 *
 * @param state
 */
setValid(state) 

/**
 * Returns true if this field is valid after the complete form has been validated.
 * So the validate method on the FormSlide have to be called before this method can be called.
 *
 * @param force If true, a immediate validation will be make, without the necessity of calling FormSlide.validate()     *
 *
 * @returns {boolean}
 */
isValid(force)

/**
 * Returns true if the field is empty.
 *
 * @returns {boolean}
 */
isEmpty() 

/**
 * Returns an object with the field metadata
 * @returns Object
 */
getMeta() 

/**
 * Returns true if the field is hidden.
 *
 * @returns {boolean}
 */
isHidden() 

/**
 * Set if the field is hidden.
 *
 * @returns {*}
 */
setHidden(state)

/**
 * Returns true if this field has a custom validator
 * @returns {boolean}
 */
hasCustomValidator() 

/**
 * Validates the field with its custom validator and returns if it is valid.
 *
 * @returns {boolean}
 */
customValidate()

/**
 * Clear all responses from this field.
 */
clear()

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.pickzen.com/developers/sdk/documentation/formslide/formfield.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
